Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 17184 - tab order in property sheets not intuitive
tab order in property sheets not intuitive
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: A11Y, UI
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-01 00:16 UTC by Jan Benway
Modified: 2008-12-22 23:40 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Benway 2001-11-01 00:16:19 UTC
When you use the tab key to move the keyboard focus among the components in a
properties sheet, the focus moves down through the properties in order, then
through the buttons at the top, and then to the tab itself. This is very
non-intuitive -- the focus seems to jump down to the bottom (the tabbed pane)
and then back to the top (the first property).

A more intuitive tab order would be:

1. Each property in order
2. The tabbed pane ("Properties" or "Execution" or whatever)
3. The buttons at the top (sort order buttons, etc.)
4. Back to the first property
Comment 1 Jan Chalupa 2001-11-27 11:51:05 UTC
Target milestone -> 3.3.1.
Comment 2 Jan Chalupa 2001-11-27 11:54:35 UTC
Target milestone -> 3.3.1.
Comment 3 Jan Chalupa 2002-01-11 14:05:12 UTC
Target milestone -> 3.4
Comment 4 Jan Chalupa 2002-01-11 14:08:47 UTC
Target milestone -> 3.4
Comment 5 Jan Chalupa 2002-01-11 14:09:34 UTC
Target milestone -> 3.4
Comment 6 Jan Chalupa 2002-01-11 14:12:07 UTC
Target milestone -> 3.4
Comment 7 Marek Grummich 2002-07-22 08:45:51 UTC
Target milestone was changed from '3.4' to TBD.
Comment 8 Marek Grummich 2002-07-22 09:19:44 UTC
Target milestone was changed from '3.4' to TBD.
Comment 9 _ tboudreau 2003-07-16 19:58:20 UTC
Fixed - keyboard navigation in new property sheet is standard
JTable navigation.
Comment 10 Marian Mirilovic 2003-07-18 13:55:08 UTC
verified in [nb_dev](20030718)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo